| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Static Private Attributes | List of all members
GaudiGSL Class Reference

Helper class to get (static) access to Gaudi GSL Service General users are not supposed to use it. More...

`#include <GaudiGSL/GaudiGSL.h>`

Collaboration diagram for GaudiGSL:
[legend]

## Static Public Member Functions
static const IGslSvc * | gslSvc ()
| static accessor to Gaudi GSL Service More...
static const IGslSvc * | setGslSvc (const IGslSvc *value)
| set new value for static Gaudi GSL Service More...

## Static Private Attributes
static const IGslSvc * | s_gslSvc = nullptr
| define the initial value for static variable More...

## Detailed Description

Helper class to get (static) access to Gaudi GSL Service General users are not supposed to use it.

Author
  Vanya Belyaev Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  29/04/2002

Definition at line 17 of file GaudiGSL.h.

## Member Function Documentation

const IGslSvc * GaudiGSL::gslSvc | ( |  | ) |
| static

static accessor to Gaudi GSL Service

Returns
  (const) pointer to Gaudi GSL Service

Definition at line 27 of file GaudiGSL.cpp.

27 { return s_gslSvc ; }
GaudiGSL::s_gslSvc
static const IGslSvc * s_gslSvc
define the initial value for static variable
Definition: GaudiGSL.h:33

const IGslSvc * GaudiGSL::setGslSvc | ( | const IGslSvc * | value | ) |
| static

set new value for static Gaudi GSL Service

Returns
  (const) pointer to Gaudi GSL Service

Definition at line 35 of file GaudiGSL.cpp.

36 { s_gslSvc = value ; return gslSvc() ; }
GaudiGSL::s_gslSvc
static const IGslSvc * s_gslSvc
define the initial value for static variable
Definition: GaudiGSL.h:33
dump_component_properties.value
list value
Definition: dump_component_properties.py:12
GaudiGSL::gslSvc
static const IGslSvc * gslSvc()
static accessor to Gaudi GSL Service
Definition: GaudiGSL.cpp:27

## Member Data Documentation

const IGslSvc * GaudiGSL::s_gslSvc = nullptr
| static private

define the initial value for static variable

Definition at line 33 of file GaudiGSL.h.

The documentation for this class was generated from the following files:

- GaudiGSL/GaudiGSL/GaudiGSL.h
- GaudiGSL/src/Lib/GaudiGSL.cpp